import cudf
import nvtabular
from nvtabular.ops import Categorify, Filter

import merlin.dag

inputs = merlin.dag.ColumnSelector(["user_id", "item_id", "click"]) >> Filter(
    f=lambda df: df["click"] == 1
)
cats = inputs[["user_id", "item_id"]] >> Categorify()
conts = inputs[["click"]]
outputs = cats + conts
workflow = nvtabular.Workflow(outputs)

df = cudf.DataFrame({"user_id": ["ben", "gabriel"], "item_id": ["a", "a"], "click": [0, 1]})

workflow.fit_transform(merlin.io.Dataset(df)).to_parquet("./train")
